{

  //construct the TTree
  TTree * t = new TTree("myFirstTree", "myFirstTree");
  
  //have some variables that will be read from the TTree
  int runNumber = 0, eventNumber = 0;
  double mjj = 0;
  
  //let's branch the TTree 
  //arguments: branch name, address of variable, variable name and type
  //see http://root.cern.ch/root/html/TTree.html#TTree:Branch
  t->Branch("runNumber",&runNumber,"runNumber/I");
  t->Branch("eventNumber",&eventNumber,"eventNumber/I");
  t->Branch("mjj",&mjj,"mjj/D");
  
  //see what the TTree contains
  t->Print();
  
  //now let's loop on some toy events
  for (unsigned int iEvent = 0; iEvent<10; iEvent++) {
    runNumber = 150000;
    eventNumber = iEvent;
    //fictitious dijet mass...
    mjj = double(runNumber*iEvent)/1000. ;
    
    //let the TTree pick up the variables for each event
    t->Fill();
  }

  //see what the TTree contains
  t->Print();
  
  //save it in a file
  TFile * outfile = TFile::Open("FirstTTree.root","RECREATE");
  t->Write();
  outfile.Close();
  
}

